web-dev-qa-db-ja.com

Error:com.Android.builder.dexing.DexArchiveBuilderException:guava-21.0.jar Android 3.1 Dev Channelの処理に失敗しました

AndroidStudio3.1で依存関係のバージョンを更新したところ、次のようなエラーが表示されました。

    Information:Gradle tasks [:app:assembleDebug]
Error:com.Android.builder.dexing.DexArchiveBuilderException: Failed to process C:\Users\Blabla\.gradle\caches\modules-2\files-2.1\com.google.guava\guava\21.0\3a3d111be1be1b745edfa7d91678a12d7ed38709\guava-21.0.jar
Error:com.Android.builder.dexing.DexArchiveBuilderException: Error while dexing.
Error:com.Android.tools.r8.ApiLevelException: Default interface methods are only supported starting with Android N (--min-api 24): Java.util.Collection com.google.common.collect.BiMap.values()
Error:Execution failed for task ':app:transformClassesWithDexBuilderForDebug'.
> com.Android.build.api.transform.TransformException: com.Android.builder.dexing.DexArchiveBuilderException: com.Android.builder.dexing.DexArchiveBuilderException: Failed to process C:\Users\Blabla\.gradle\caches\modules-2\files-2.1\com.google.guava\guava\21.0\3a3d111be1be1b745edfa7d91678a12d7ed38709\guava-21.0.jar
Information:BUILD FAILED in 6s
Information:4 errors
Information:0 warnings
Information:See complete output in console

私はすでにプロジェクトを掃除して再構築しました。 my"multiDexEnabled true"をチェックし、 'compile'com.Android.support:multidex:1.0.2'を追加しました。

他に何ができますか?

編集:build.gradleを追加する

apply plugin: 'com.Android.application'

Android {
    compileSdkVersion 27
    buildToolsVersion '26.0.2'
    defaultConfig {
        applicationId "com.blabla"
        minSdkVersion 19
        targetSdkVersion 27
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "Android.support.test.runner.AndroidJUnitRunner"
        vectorDrawables.useSupportLibrary = true
        multiDexEnabled true
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-Android.txt'), 'proguard-rules.pro'
        }
    }
    configurations.all {
        resolutionStrategy.force 'com.google.code.findbugs:jsr305:1.3.9'
    }

}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    androidTestCompile('com.Android.support.test.espresso:espresso-core:2.2.2', {
        exclude group: 'com.Android.support', module: 'support-annotations'
    })
    compile 'com.Android.support:appcompat-v7:27.0.0'
    compile 'com.Android.support.constraint:constraint-layout:1.0.2'
    compile 'com.Android.support:multidex:1.0.2'
    compile 'com.Android.support:design:27.0.0'
    compile 'com.Android.support:cardview-v7:27.0.0'
    compile 'com.jakewharton:butterknife:8.7.0'
    compile 'com.google.code.gson:gson:2.8.0'
    compile 'com.google.guava:guava:21.0'
    compile 'com.Microsoft.Azure:azure-mobile-Android:[email protected]'
    compile 'com.Microsoft.Azure:notification-hubs-Android-sdk:[email protected]'
    compile 'com.Microsoft.Azure:azure-notifications-handler:[email protected]'
    compile 'com.squareup.okhttp:okhttp:2.5.0'
    compile 'com.google.firebase:firebase-core:11.4.2'
    compile 'com.google.firebase:firebase-crash:11.4.2'
    compile 'com.google.firebase:firebase-auth:11.4.2'
    compile 'com.google.firebase:firebase-database:11.4.2'
    compile 'com.google.firebase:firebase-storage:11.4.2'
    testCompile 'junit:junit:4.12'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.7.0'
    compile 'com.google.Android.gms:play-services-maps:11.4.2'
    compile 'com.google.Android.gms:play-services-location:11.4.2'
    compile 'com.google.maps.Android:android-maps-utils:0.5+'
}
apply plugin: 'com.google.gms.google-services'
55
Atak

Guavaのバージョンを更新する

Guava 21はJava 8のみです。

あなたのgradleを、Androidと互換性のあるGuavaバージョン27.0.1-Androidに更新してください。

Gradle 4.6以降:

dependencies {
  implementation 'com.google.guava:guava:27.0.1-Android'
}

以前のGradleバージョン:

dependencies {
  compile 'com.google.guava:guava:27.0.1-Android'
}
39

反応ネイティブプロジェクトでも同じ問題がありました。

以下の行は私のために働きました、

compileOptions {
    sourceCompatibility JavaVersion.VERSION_1_8
    targetCompatibility JavaVersion.VERSION_1_8
} 
67
Nandam Mahesh

私は同じ問題を抱えていました、そして私はそれを清掃プロジェクトとそれを再建することを解決しました。

Android Studioで、ビルド - >プロジェクトのクリーンに移動し、その後ビルド - >プロジェクトの再ビルド

それが役に立てば幸い

7
Dani Gee

私の場合は、ビルドバリアントがreleaseに設定されているときにDebug 'app'ボタンをクリックしていたため、エラーが発生していました。ビルドバリアントをdebugに変更してから[Debug]ボタンをもう一度クリックすると、エラーは消えました。これが誰かに役立つことを願っています。

0
Brian Titus